明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 525|回复: 12

[源码] 给高手个练习题 如题

[复制链接]
发表于 2019-7-21 14:29 | 显示全部楼层 |阅读模式
已知多边形线框 点击多边形 则在每边中点生成图中紫色线和字符  伸出线框外部分200

可以批量

提供个repeat 循环函数

(defun c:att ();repeat循环
  (vl-load-com)
  (setvar "cmdecho" 0)
  (setvar "delobj" 0)
  (setq ss (ssget '((0 . "LINE"))))
  (setq i 0)
  (setq ss_n (sslength ss))
   (repeat ss_n
       (setq ent_x (ssname ss i));ss
       (引用函数 (entget ent_x))
       (功能函数)
       (setq i (+ i 1))
   );repeat
(princ)
)

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
发表于 2019-7-23 11:34 | 显示全部楼层
1、将文字和紫色的线做成块,设置好基点
2、遍历点表,相邻两点求中点mid_pt;根据相邻两点求始末点构成的方位角
3、根据方位角判断应该插入哪个块,插入点为mid_pt就行了吧
发表于 2019-7-23 11:57 | 显示全部楼层
高手不要练,出个简单的我等菜鸟练哈
 楼主| 发表于 2019-7-23 13:59 | 显示全部楼层
satan421 发表于 2019-7-23 11:34
1、将文字和紫色的线做成块,设置好基点
2、遍历点表,相邻两点求中点mid_pt;根据相邻两点求始末点构成的 ...

就是 不要做块才快乐
发表于 2019-7-23 14:09 | 显示全部楼层
434939575 发表于 2019-7-23 11:57
高手不要练,出个简单的我等菜鸟练哈

你这签名有意思
(mapcar '1+ (append  '(2) '(50 )))
 楼主| 发表于 2019-7-23 14:25 | 显示全部楼层
本帖最后由 500w008 于 2019-7-24 00:30 编辑

(defun gaj_xxx(ptmt)
   (setvar "OSMODE" 0) ;;;捕捉关闭
   (setq pt_x1 (polar ptmt (+ ang_x (/ pi 2) 900))
   (setq pt_x2 (polar ptmt (+ ang_x (/ pi 2) -200))
   (setq pt_101 (polar pt_x1 (* ang_x -1) 100))
   (setq pt_102 (polar  pt_x2 (* ang_x -1) 100))
   (setq pt_x3 (polar ptmt (+ ang_x (/ pi 2) 450))
   (setq pt_900字插入点 (polar ptmt (* ang_x -1 100) 350))
   (command "pline" pt_101 pt_x2 pt_x1 pt_102")   (setq ang_j (* ang_x (/ pi 180)))
   (command ".TEXT" pt_900字插入点 "300" ang_j "900")
(princ)
)

 楼主| 发表于 2019-7-23 14:26 | 显示全部楼层
钢筋的有了  呵呵 抽个时间写了下
 楼主| 发表于 2019-7-23 14:28 | 显示全部楼层
现在 剩下 多边形角点  
 楼主| 发表于 2019-7-25 22:45 | 显示全部楼层
(ACET-PLINE-SEGMENT-LIST (car(entsel)))
发表于 2019-7-26 13:51 | 显示全部楼层

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-8-25 23:37 , Processed in 1.422568 second(s), 28 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表